commit:     864d096f90312f6591afa1d397db60ba806fc89f
Author:     ingenarel <ingenarelitems <AT> gmail <DOT> com>
AuthorDate: Wed Oct 22 13:45:11 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed Oct 22 13:45:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=864d096f

app-misc/astroterm: add 1.0.9

Signed-off-by: ingenarel <ingenarelitems <AT> gmail.com>

 app-misc/astroterm/Manifest               |  1 +
 app-misc/astroterm/astroterm-1.0.9.ebuild | 39 +++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/app-misc/astroterm/Manifest b/app-misc/astroterm/Manifest
index b77433abd4..a424be1d06 100644
--- a/app-misc/astroterm/Manifest
+++ b/app-misc/astroterm/Manifest
@@ -1,2 +1,3 @@
 DIST astroterm-1.0.7.tar.gz 20463291 BLAKE2B 
378dad2e26f77c92c5cdd0e9fced74f4e1c31ee5fd379cb6d92abf0b65b756415a1c7131413646163fa8d485ddcfd713ba13ac749ccd758d5c98638a247d05d3
 SHA512 
5cf90902db2ce1920f463e5fa7780d2b117bb20977d879615cf31947e623678dc90723426b61a99532d0b9c8b2ad8cbba2e94457287e6b8a5fba8bc6cd151eba
+DIST astroterm-1.0.9.tar.gz 20467780 BLAKE2B 
cc6a04c1b04dd137197147874676742e617afef0c6b9cf6d27ad5d713eb7cfa537c643cd16eb3b1da2bf0188a62a477d7d07842a43cc811bc746163968414844
 SHA512 
4524341e3216839e4f9100f6a2465681dd936598ec32e322ab23ba2ac5d9ed87f3db9f9ad0f370ca9604288286da79878b9a137c10630ef685e822a4e45391ac
 DIST bsc5 291548 BLAKE2B 
2cfbfed91c2bc09c4685da3d48e26ba4356298550bba7cabab088eacf49c80ef2b2ee0a9ead5ce89873ac4b3978d13c9dde345e783682c3b896a54324cf99c11
 SHA512 
b96630ef38fa43bedff0462181b43276dca6c12d53ff91eb073d4985ec0fd191a6c84f8261cf6d4259f28ec80566765f53009fdca5508625ab8cb825c1e48e6a

diff --git a/app-misc/astroterm/astroterm-1.0.9.ebuild 
b/app-misc/astroterm/astroterm-1.0.9.ebuild
new file mode 100644
index 0000000000..5c4276ed15
--- /dev/null
+++ b/app-misc/astroterm/astroterm-1.0.9.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="A planetarium for your terminal!"
+HOMEPAGE="https://github.com/da-luce/astroterm";
+SRC_URI="
+       https://github.com/da-luce/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz
+       
https://web.archive.org/web/20231007085824if_/http://tdc-www.harvard.edu/catalogs/BSC5
 -> bsc5
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+       dev-libs/argtable
+"
+
+BDEPEND="
+       || ( dev-util/xxd app-editors/vim-core dev-util/tinyxxd[xxd] )
+"
+
+src_prepare() {
+       default
+       cp "${DISTDIR}/bsc5" "${S}/data" || die
+       cp -r "${S}/scripts" "${WORKDIR}/scripts" || die
+}
+
+src_compile() {
+       meson_src_compile
+}
+
+src_install() {
+       meson_src_install
+}

Reply via email to